Trf_WriteProc(3)

NAME
Trf_WriteProc - Interface to procedures used by an encoder/decoder to write its transformation results.

SYNOPSIS
#include <transform.h>

int Trf_WriteProc
(
    ClientData clientData,
    unsigned char *outString,
    int outLen,
    Tcl_Interp *interp
);

PARAMETERS

ClientData clientData
    Arbitrary information, defined during controlblock creation.

unsigned char *outString
    Buffer with characters to write.

int outLen
    Number of characters in buffer.

Tcl_Interp *interp
    Interpreter for error messages (NULL possible).

DESCRIPTION
Procedures of this type are called by an encoder/decoder to write (partial) transformation results, decoupling the final destination from result generation. Return value is a standard tcl error code. In case of failure and interp not NULL an error message should be left in the result area of the specified interpreter.

SEE ALSO
Trf_Init(3), Trf_SafeInit(3), Trf_IsInitialized(3), Trf_CreateOptions(3), Trf_DeleteOptions(3), Trf_CheckOptions(3), Trf_SetOption(3), Trf_SetObjOption(3), Trf_QueryOptions(3), Trf_SeekQueryOptions(3), Trf_CreateCtrlBlock(3), Trf_DeleteCtrlBlock(3), Trf_TransformCharacter(3), Trf_TransformBuffer(3), Trf_FlushTransformation(3), Trf_ClearCtrlBlock(3), Trf_QueryMaxRead(3), Trf_Register(3), Trf_ConverterOptions(3), Trf_MDStart(3), Trf_MDUpdate(3), Trf_MDUpdateBuf(3), Trf_MDFinal(3), Trf_MDCheck(3), Trf_RegisterMessageDigest(3), Trf_LoadLibrary(3), Trf_XorBuffer(3), Trf_ShiftRegister(3), Trf_FlipRegisterShort(3), Trf_FlipRegisterLong(3), Trf_InitStubs(3)